Name:		cmake-rpm-macros
Summary:	Rpm macros and scripts for cmake
Epoch:		1
Version:	8
Release:	%mkrel 6
License:	GPLv2+
Group:		Development/Other
Url:		https://svnweb.mageia.org/packages/cauldron/cmake-rpm-macros/current/
Source1:	macros.cmake
# See https://bugzilla.redhat.com/show_bug.cgi?id=1202899
Source2:	cmake.attr
Source3:	cmake.prov
BuildArch:	noarch
Requires:	rpm-mageia-setup-build >= 2.46-3

%description
Rpm macros and scripts for cmake.

%files
%{_rpmmacrodir}/macros.cmake
%{_rpmconfigdir}/fileattrs/cmake.attr
%{_rpmconfigdir}/cmake.prov

%prep
#nothing

%build
#nothing

%install
# RPM macros
install -p -m0644 -D %{_sourcedir}/macros.cmake %{buildroot}%{_rpmmacrodir}/macros.cmake

# RPM auto provides
install -D -p -m644 %{_sourcedir}/cmake.attr %{buildroot}%{_rpmconfigdir}/fileattrs/cmake.attr
install -D -p -m755 %{_sourcedir}/cmake.prov %{buildroot}%{_rpmconfigdir}/cmake.prov


%changelog
* Wed Dec 30 2020 wally <wally> 1:8-6.mga8
+ Revision: 1665878
- define also CMAKE_C_FLAGS_RELEASE and CMAKE_CXX_FLAGS_RELEASE to '-DNDEBUG' with %%cmake macro

* Sun Sep 13 2020 wally <wally> 1:8-5.mga8
+ Revision: 1625938
- revert CMAKE_INSTALL_INCLUDEDIR change

* Sun Sep 13 2020 wally <wally> 1:8-4.mga8
+ Revision: 1625933
- define CMAKE_INSTALL_INCLUDEDIR with %%cmake macro

* Mon Jul 20 2020 wally <wally> 1:8-3.mga8
+ Revision: 1607497
- update %%cmake_build and %%cmake_install to handle different generators automatic (from Fedora)

* Sat Apr 18 2020 wally <wally> 1:8-2.mga8
+ Revision: 1568873
- use -Wno-dev by default (can be toggled by defining %%_cmake_Wdev)

* Mon Mar 30 2020 wally <wally> 1:8-1.mga8
+ Revision: 1562443
- split out cmake-rpm-macros from cmake
- Created package structure for cmake-rpm-macros.

